Bug 452943 - BIOS RAID (NVIDIA ), F9 boot hangs when array is degraded
BIOS RAID (NVIDIA ), F9 boot hangs when array is degraded
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
9
i386 Linux
low Severity high
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-26 03:12 EDT by Marc Rechte
Modified: 2009-07-14 11:24 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:24:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screen photo shot during failed boot (91.76 KB, image/jpeg)
2008-06-26 03:12 EDT, Marc Rechte
no flags Details

  None (edit)
Description Marc Rechte 2008-06-26 03:12:08 EDT
Description of problem:
I configured my F9 box on top of a BIOS raid array of two SATA HD in RAID1.

F9 sees the drive properly and installed successfully.

But when I unplug a disk (power being off), the BIOS reports a degraded array,
then grub menu is OK but boot fails when trying to find the Volume Group.

My hardware config is visible on
http://www.linuxquestions.org/hcl/showproduct.php/product/4127/cat/36

Thanks

Version-Release number of selected component (if applicable):


How reproducible:
Allways

Steps to Reproduce:
1.Power off the machine, 
2.disconnect one of the HD drives, 
3.power on.

  
Actual results:
See screen photo.

Expected results:
The system would boot with a degraged array

Additional info:
Comment 1 Marc Rechte 2008-06-26 03:12:08 EDT
Created attachment 310311 [details]
Screen photo shot during failed boot
Comment 2 Heinz Mauelshagen 2008-07-21 06:24:47 EDT
This is because of the static mapping tables created by mkinitrd being used
during boot rather than running "dmraid -ay" from the initrd, in which case
dmraid would discover and activate a linear mapping for the remaining mirror leg.

Changed component to mkinitrd for further processing.
Comment 3 Bug Zapper 2009-06-09 21:47:29 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 11:24:29 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.